start = 64224

value = start
ctr = 0

while ctr < 4:
    carre = str(value**2)
    if all(item in carre for item in ["1", "2", "4", "6", "7"]):
        if not any(item in carre for item in ["0", "3", "5", "8", "9"]):
            print(value, end=", ")
            ctr += 1
    value += 1
